Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkClassesElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<Classes>
                          org.semanticweb.owlapi.owllink.parser.OWLlinkClassesElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<Classes>, OWLlinkResponseElementHandler<Classes>

    public class OWLlinkClassesElementHandler

extends AbstractOWLlinkKBResponseElementHandler<Classes>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 14.12.2009

Field Summary
`protected java.util.Set<OWLClass>` | `classes`

Constructor Summary
`OWLlinkClassesElementHandler(OWLXMLParserHandler handler)`

Method Summary
`Classes` | `getOWLLinkObject()`
`void` | `handleChild(AbstractClassExpressionElementHandler handler)`
`void` | `startElement(java.lang.String s)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classes

    protected java.util.Set<OWLClass> classes

Constructor Detail

### OWLlinkClassesElementHandler

    public OWLlinkClassesElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String s)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBResponseElementHandler<Classes>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(AbstractClassExpressionElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Classes>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Classes>`
  Throws:
    `OWLXMLParserException`

### getOWLLinkObject

    public Classes getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<Classes>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<Classes>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD